Bug 467388 - (mingw32-pdcurses) Review Request: mingw32-pdcurses - Curses library for MinGW
Review Request: mingw32-pdcurses - Curses library for MinGW
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks: mingw32-sqlite
  Show dependency treegraph
 
Reported: 2008-10-17 05:26 EDT by Richard W.M. Jones
Modified: 2009-01-21 16:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:30:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 05:26:33 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/pdcurses/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-pdcurses-3.4-1.fc9.src.rpm
Description:
PDCurses is a public domain curses library for MinGW / Windows.

Note that ncurses doesn't compile on MinGW, and it looked like it was going
to be very hard to port because it makes lots of Unix/POSIX API assumptions
about terminals.

This package includes some demos.  They run under Wine as long as
you use the 'wineconsole' program (ie. not 'wine').

The approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 2 Tim Lauridsen 2009-01-16 03:28:53 EST
I will review this one.
Comment 3 Tim Lauridsen 2009-01-16 04:03:01 EST
$ rpmlint Download/mingw32-pdcurses-3.4-2.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint rpmbuild/RPMS/noarch/mingw32-pdcurses-3.4-2.fc10.noarch.rpm 
mingw32-pdcurses.noarch: W: no-documentation
mingw32-pdcurses.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/term.h
mingw32-pdcurses.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/include/term.h
mingw32-pdcurses.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libpdcurses.dll.a
mingw32-pdcurses.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libpdcurses.dll.a
mingw32-pdcurses.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/curses.h
mingw32-pdcurses.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/include/curses.h
mingw32-pdcurses.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/panel.h
mingw32-pdcurses.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/include/panel.h
mingw32-pdcurses.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libpdcurses.dll.a
mingw32-pdcurses.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
1 packages and 0 specfiles checked; 1 errors, 10 warnings.

This should be OK, because of the cross compiler nature of the package.
Comment 4 Tim Lauridsen 2009-01-16 04:10:07 EST
$ md5sum PDCurses-3.4.tar.gz 
65c9b1d4c5ef3e031039da620d6199ee  PDCurses-3.4.tar.gz (upstream)
4e04e4412d1b1392a7f9a489b95b331a  rpmbuild/SOURCES/PDCurses-3.4.tar.gz (SRPM)

X Source checksum don't match upstream
Comment 5 Tim Lauridsen 2009-01-16 04:10:27 EST
MUST:
* package is named appropriately 
    mingw32-*
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* summary and description fine
* correct buildroot
* %{?dist} is used
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager, Vendor ,Distribution tag not used
* License used and not Copyright 
* Summary tag does not end in a period
* specfile is legible
* package successfully compiles and builds on at least x86
* make sure lines are <= 80 characters
* specfile written in American English
* no -doc sub-package necessary
* /sbin/ldconfig used in packages containing libraries. 
    no native libs
* Not GUI app
* header files goes into -devel sub-package. 
    no native header files
* *.so goes into -devel sub-package. 
    no *.so files
* devel package require the base package using a fully versioned dependency 
    no *-devel
* *.la files is deleted. 
    no *.la files
* macros used appropriately and consistently
* no %makeinstall
* install section must begin with rm -rf $RPM_BUILD_ROOT or %{buildroot}
* The spec file handles locales properly (%find_lang ) (no locales)
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
. %defattrs present ( %defattr(-, root, root, -))
* %clean present
* %doc files do not affect runtime
    no docs
* follow the MinGW guidelines on http://fedoraproject.org/wiki/Packaging/MinGW



SHOULD:
* package should include license text in the package and mark it with %doc
    no license file for Public Domain
* package should build on i386
Comment 6 Tim Lauridsen 2009-01-16 04:11:27 EST
if the source in the SRPM is fixed to match upstream, then i will approve the review.
Comment 7 Richard W.M. Jones 2009-01-16 04:16:13 EST
(In reply to comment #4)
> $ md5sum PDCurses-3.4.tar.gz 
> 65c9b1d4c5ef3e031039da620d6199ee  PDCurses-3.4.tar.gz (upstream)
> 4e04e4412d1b1392a7f9a489b95b331a  rpmbuild/SOURCES/PDCurses-3.4.tar.gz (SRPM)
> 
> X Source checksum don't match upstream

Are you sure about this one?  I just downloaded it again and
I get the same (4e04...) md5sum:

$ wget 'http://downloads.sourceforge.net/pdcurses/PDCurses-3.4.tar.gz?modtime=1220886172&big_mirror=0'
--2009-01-16 09:10:47--  http://downloads.sourceforge.net/pdcurses/PDCurses-3.4.tar.gz?modtime=1220886172&big_mirror=0
Resolving downloads.sourceforge.net... 216.34.181.60
Connecting to downloads.sourceforge.net|216.34.181.60|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://surfnet.dl.sourceforge.net/sourceforge/pdcurses/PDCurses-3.4.tar.gz [following]
--2009-01-16 09:10:48--  http://surfnet.dl.sourceforge.net/sourceforge/pdcurses/PDCurses-3.4.tar.gz
Resolving surfnet.dl.sourceforge.net... 130.59.138.20, 2001:620:0:1b::20
Connecting to surfnet.dl.sourceforge.net|130.59.138.20|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 331253 (323K) [application/x-tar]
Saving to: `PDCurses-3.4.tar.gz'

100%[======================================>] 331,253      222K/s   in 1.5s    

2009-01-16 09:10:50 (222 KB/s) - `PDCurses-3.4.tar.gz' saved [331253/331253]

$ md5sum PDCurses-3.4.tar.gz 
4e04e4412d1b1392a7f9a489b95b331a  PDCurses-3.4.tar.gz
Comment 8 Richard W.M. Jones 2009-01-16 04:18:24 EST
(In reply to comment #3)
> $ rpmlint rpmbuild/RPMS/noarch/mingw32-pdcurses-3.4-2.fc10.noarch.rpm 
> mingw32-pdcurses.noarch: W: spurious-executable-perm
> /usr/i686-pc-mingw32/sys-root/mingw/include/term.h

Actually I will correct the executable perms on these
header files before uploading.  The executable perms on
the library files should be OK though.
Comment 9 Tim Lauridsen 2009-01-16 12:04:18 EST
(In reply to comment #7)
> (In reply to comment #4)
> > $ md5sum PDCurses-3.4.tar.gz 
> > 65c9b1d4c5ef3e031039da620d6199ee  PDCurses-3.4.tar.gz (upstream)
> > 4e04e4412d1b1392a7f9a489b95b331a  rpmbuild/SOURCES/PDCurses-3.4.tar.gz (SRPM)
> > 
> > X Source checksum don't match upstream
> 
> Are you sure about this one?  I just downloaded it again and
> I get the same (4e04...) md5sum:

Ok, the must have been some download error  :)

4e04e4412d1b1392a7f9a489b95b331a  PDCurses-3.4.tar.gz
4e04e4412d1b1392a7f9a489b95b331a  /home/tim/rpmbuild/SOURCES/PDCurses-3.4.tar.gz

* Source match upstream

APPROVED
Comment 10 Richard W.M. Jones 2009-01-16 13:16:12 EST
New Package CVS Request
=======================
Package Name: mingw32-pdcurses
Short Description: Curses library for MinGW
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 11 Kevin Fenzi 2009-01-16 22:26:02 EST
cvs done.
Comment 12 Fedora Update System 2009-01-17 06:51:27 EST
mingw32-pdcurses-3.4-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-pdcurses-3.4-3.fc10
Comment 13 Fedora Update System 2009-01-21 16:30:50 EST
mingw32-pdcurses-3.4-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.